Api Key Rate Limit
The api key rate limit resource.
Basehttps://rest.carbon.ms/apiKeyRateLimit
GET
/apiKeyRateLimitList api key rate limits
Retrieve a paginated list of api key rate limits. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/apiKeyRateLimit
curl --request GET \
--url 'https://rest.carbon.ms/apiKeyRateLimit?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"apiKeyId": "xyz789",
"windowStart": "2026-01-01T00:00:00Z",
"requestCount": 10
}
]GET
/apiKeyRateLimitRetrieve a api key rate limit
Fetch a single api key rate limit by filtering on `apiKeyId`.
Query parameters
apiKeyIdstringMatch on the api key rate limit's `apiKeyId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/apiKeyRateLimit
curl --request GET \
--url 'https://rest.carbon.ms/apiKeyRateLimit?apiKeyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"apiKeyId": "xyz789",
"windowStart": "2026-01-01T00:00:00Z",
"requestCount": 10
}POST
/apiKeyRateLimitCreate a api key rate limit
Create a new api key rate limit.
Body parameters
requestCountnumberrequiredPOSThttps://rest.carbon.ms/apiKeyRateLimit
curl --request POST \
--url https://rest.carbon.ms/apiKeyRateLimit \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"requestCount":10}'Response
{
"apiKeyId": "xyz789",
"windowStart": "2026-01-01T00:00:00Z",
"requestCount": 10
}PATCH
/apiKeyRateLimitUpdate a api key rate limit
Update an existing api key rate limit, matched on `apiKeyId`.
Body parameters
requestCountnumberrequiredPATCHhttps://rest.carbon.ms/apiKeyRateLimit
curl --request PATCH \
--url 'https://rest.carbon.ms/apiKeyRateLimit?apiKeyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"requestCount":10}'Response
{
"apiKeyId": "xyz789",
"windowStart": "2026-01-01T00:00:00Z",
"requestCount": 10
}DELETE
/apiKeyRateLimitDelete a api key rate limit
Delete a api key rate limit, matched on `apiKeyId`. Returns 204 No Content.
Query parameters
apiKeyIdstringThe `apiKeyId` of the api key rate limit to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/apiKeyRateLimit
curl --request DELETE \
--url 'https://rest.carbon.ms/apiKeyRateLimit?apiKeyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content